-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011, 2012 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

startx = 2
starty = 20

-- defineTile section
defineTile('T', "TREE")
defineTile("#", "WALL")
defineTile("-", "FLOOR")
defineTile(".", "GRASS")
defineTile("<", "GRASS_UP4")
defineTile('+', "DOOR")
defineTile("o", "FLOOR", nil, {random_filter={name="cutpurse"}})
defineTile("O", "FLOOR", nil, {random_filter={name="Armory master"}})

defineTile('x', 'FLOOR', {random_filter={type='weapon', subtype='axe', add_levels=10, tome_mod="gvault"}})
defineTile('X', 'FLOOR', {random_filter={type='weapon', subtype='battleaxe', add_levels=10, tome_mod="gvault"}})

defineTile('s', 'FLOOR', {random_filter={type='weapon', subtype='sword', add_levels=10, tome_mod="gvault"}})
defineTile('S', 'FLOOR', {random_filter={type='weapon', subtype='greatsword', add_levels=10, tome_mod="gvault"}})

defineTile('b', 'FLOOR', {random_filter={type='weapon', subtype='longbow', add_levels=10, tome_mod="gvault"}})
defineTile('B', 'FLOOR', {random_filter={type='ammo', subtype='arrow', add_levels=10, tome_mod="gvault"}})

defineTile('w', 'FLOOR', {random_filter={type='weapon', subtype='sling', add_levels=10, tome_mod="gvault"}})
defineTile('W', 'FLOOR', {random_filter={type='ammo', subtype='shot', add_levels=10, tome_mod="gvault"}})

defineTile('k', 'FLOOR', {random_filter={type='weapon', subtype='knife', add_levels=10, tome_mod="gvault"}})

-- ASCII map section
return [[
TTTTTTTTTTTTTTTTTTTTTTTTTTT
TTTTTTT...........TT.TTTTTT
TTTTTT..#########.T.TT.TTTT
T....T..#---#---#.....T..TT
TT..T...#--o#--o#.....TT.TT
TT....T.#---#o--#####..o.TT
T.....T.#---#---#---#.....T
T....TT.#o--#---#---#.....T
TT..TTT.#---#---#---####..T
TT..TT..##+###+##---#kk#..T
T.TT...o#-------#---#xX#.TT
T..T....+-----o-+--O+sS#..T
T...T...#-------#---#bB#..T
T.TT...o##+###+##---#wW#..T
T.T.T...#---#---#---####..T
T.TTT.T.#o--#---#---#.....T
TT....T.#---#---#---#....TT
TT.T.TT.#---#---#####.TTTTT
TT.TTTT.#---#--o#.....T..TT
T...T...#########..TTT..TTT
T<TT.TT...........TTTTTTTTT
TTTTTTTTTTTTTTTTTTTTTTTTTTT]]
